Latest PVRGeoPOD and Blender not working on Windows

This topic contains 3 replies, has 2 voices, and was last updated by  Joe Davis 3 years, 7 months ago.

Viewing 4 posts - 1 through 4 (of 4 total)
  • Author
    Posts
  • #31679

    I have been using PVRGeoPOD (32 bit) from the 3.1 SDK with Blender 2.61 and 2.70a on WindowsXP for awhile now and that works fine.

    However, I have not been able to get the newer versions of PVRGeoPOD from the 3.2 or 3.3 SDKs to work with either Blender 2.61 or 2.70a. I am simply trying to export the default Blender cube and the export fails with the newer versions installed. The exporter aborts just before “Export Stage 1” and reports:
    Added node: Cube
    Added node: Lamp
    Added node: Camera

    The Blender Information panel reports more information:

    Traceback (most recent call last):
    File “C:Documents and SettingsClay Montgomery.CLAYApplication DataBlender FoundationBlender2.70scriptsaddonsPVRGeoPODScript.py”, line 886, in execute
    return DoExport(context, self.filepath, pvrgeopod)
    File “C:Documents and SettingsClay Montgomery.CLAYApplication DataBlender FoundationBlender2.70scriptsaddonsPVRGeoPODScript.py”, line 855, in DoExport
    if pvrgeopod.lib.savePOD(podfile, c_char_p(history.encode(‘utf-8′,’ignore’))):
    OSError: exception: access violation writing 0x25019000

    Can someone please advise if they have these latest versions of PVRGeoPOD and Blender working on Windows or what the problem might be?

    Thanks, Clay
    location: :-1

    #38650

    Joe Davis
    Member

    Hi Clay,

    Apologies for not replying sooner. I somehow missed this disussion :S

    As of the 3.3 SDK, we have increased our minimum requirements for Windows to Windows 7. We may revisit XP support in the future, but cannot guarentee that the current SDK will work correctly on it.

    Is the issue specific to XP, or have you been able to reproduce it on newer versions of Windows?

    Thanks,
    Joe

    #38651

    Joe,

    I have confirmed that this issue with PVRGeoPOD only occurs on WindowsXP. It works fine with the latest version of Blender (2.70a) on Windows7. So, the last release of PVRGeoPOD that works on XP is from the 3.1 SDK.

    Thanks, Clay

    #38652

    Joe Davis
    Member

    Hi Clay,

    Thanks for confirming the issue. I’ve filed bug BRN48570 in our internal tracker for this to be investigated.

    Thanks,
    Joe

Viewing 4 posts - 1 through 4 (of 4 total)
You must be logged in to reply to this topic.